summaryrefslogtreecommitdiffstats
path: root/tests/bfs/execdir_plus_nonexistent.sh
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@tavianator.com>2022-10-19 10:29:05 -0400
committerTavian Barnes <tavianator@tavianator.com>2022-10-19 11:50:03 -0400
commit3b387d81e63893ed3fe3b45e3721fbcfb1c5dde0 (patch)
tree513c32eda43d92a8ed977f394492ba198bba1f3b /tests/bfs/execdir_plus_nonexistent.sh
parente5972621ffa8864b18d3e303ac714fdbe231be74 (diff)
downloadbfs-3b387d81e63893ed3fe3b45e3721fbcfb1c5dde0.tar.xz
tests: Split test cases into separate files
Diffstat (limited to 'tests/bfs/execdir_plus_nonexistent.sh')
-rw-r--r--tests/bfs/execdir_plus_nonexistent.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/bfs/execdir_plus_nonexistent.sh b/tests/bfs/execdir_plus_nonexistent.sh
new file mode 100644
index 0000000..8436953
--- /dev/null
+++ b/tests/bfs/execdir_plus_nonexistent.sh
@@ -0,0 +1,5 @@
+stderr=$(invoke_bfs basic -execdir "$TESTS/nonexistent" {} + 2>&1 >/dev/null)
+[ -n "$stderr" ] || return 1
+
+bfs_diff basic -execdir "$TESTS/nonexistent" {} + -print
+(($? == EX_BFS))